#
# spec file for package docbook_3 (Version 3.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         docbook_3
Copyright: Copyright 1992, 1993, 1994, 1995, 1996 HaL Computer Systems, Inc., O'Reilly Copyright:  Associates, Inc., ArborText, Inc., and Fujitsu Software Corporation.
#'
Group: Applications/Publishing
Provides: dbhset docbk30 docbk31 docbook_3-dtd
Obsoletes: docbk30
Requires: iso_ent
Autoreqprov: on
Summary:      DocBook DTD 3.x
Version:      3.1
Release:      98
### Version macros are defined so I can use them below,
### don't use macros for "Source:" and "Patch:" values.
%define dtd30 docbk30.zip
Source0: http://www.oasis-open.org/docbook/docbook/3.0/docbk30.zip
%define dtd31 docbk31.zip
Source1: http://www.oasis-open.org/docbook/docbook/3.1/docbk31.zip
# Docu now to be found at http://www.oasis-open.org/docbook/documentation/
%define docu dbhset.tar.gz
Source2: http://www.ora.com/davenport/dbdoc/dbhset.tar.gz
%define db3xver 3.1.7
%define db3x db3x317.zip
Source3: http://nwalsh.com/docbook/xml/3.1.7/db3x317.zip
%define db3sxver 3.1.7.1
%define sdb sdb3171.zip
Source4: http://nwalsh.com/docbook/simple/3.1.7.1/sdb3171.zip
Source5: README.SuSE
Source6: http://www.labs.redhat.com/png/png-support.dtd
Source7: http://www.labs.redhat.com/png/png-support-3.1.dtd
%define  pkgdif docbk30.dif
Patch0: docbk30.dif
Patch1: docbk30xml.dif
Patch2: docbk30sxml.dif
BuildRoot: %{_tmppath}/%{name}-root
BuildArchitectures: noarch
URL: http://www.oasis-open.org/docbook/

%description
This package contains version 3.0 and 3.1 and in addition an XML
version.  Suitable to write technical documentation.
You'll find the documentation in /usr/share/doc/packages/docbook_3.

Authors:
--------
    Eve L. Maler <elm@arbortext.com>
    Terry Allen <tallen@sonic.net>
    Norman Walsh <norm@berkshire.net>

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define INSTALL_SCRIPT install -m755
%prep
#' Emacs...
%setup -n $RPM_PACKAGE_NAME -c -T
cp -p $RPM_SOURCE_DIR/README.SuSE .
%{INSTALL_DIR} dtd/{30,31} html xml sdb
cd dtd/30
unzip -a $RPM_SOURCE_DIR/%{dtd30}
cd ../31
unzip -a $RPM_SOURCE_DIR/%{dtd31}
cd ../../xml
unzip -a $RPM_SOURCE_DIR/%{db3x}
cd ../sdb
unzip -a $RPM_SOURCE_DIR/%{sdb}
cd ../html
gzip -dc $RPM_SOURCE_DIR/%{docu} | tar -xvvf -
cd ..
# %setup -T -D -a 1
cp -p $RPM_SOURCE_DIR/png-support.dtd .
cp -p $RPM_SOURCE_DIR/png-support-3.1.dtd .
cat $RPM_SOURCE_DIR/%{pkgdif} | patch -s -p0
%patch1 -p 0
mv CATALOG.db3xml CATALOG.db3xml.orig
sed -e 's/@version@/%{db3xver}/' CATALOG.db3xml.orig > CATALOG.db3xml
%patch2 -p 0
mv CATALOG.db3sxml CATALOG.db3sxml.orig
sed -e 's/@version@/%{db3sxver}/' CATALOG.db3sxml.orig > CATALOG.db3sxml
cat > CATALOG.gnome <<EOF
PUBLIC   "-//GNOME//DTD DocBook PNG Variant V1.0//EN" 
         "%{_datadir}/sgml/gnome/png-support.dtd"
PUBLIC   "-//GNOME//DTD DocBook PNG Variant V1.1//EN" 
         "%{_datadir}/sgml/gnome/png-support-3.1.dtd"
CATALOG  "/var/lib/sgml/CATALOG.docbook_3"
-- CATALOG  "/var/lib/sgml/CATALOG.docbk30" --
EOF
rm -f html/index.html.orig
chmod -R a+rX,g-w,o-w .

%build
# (cd docbook && ln -sf doc dsl)

%install
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
pkg_name=%{name}
doc_dir=$RPM_BUILD_ROOT/%{_defaultdocdir}/$pkg_name
sgml_dir=$RPM_BUILD_ROOT%{_datadir}/sgml
sgml_config_dir=$RPM_BUILD_ROOT/var/lib/sgml
%{INSTALL_DIR} $doc_dir/{30,31}
# %{INSTALL_DIR} $sgml_dir/{docbk30,docbk31}
%{INSTALL_DIR} $sgml_dir/{docbk30,%{name}}
%{INSTALL_DIR} $sgml_config_dir
%{INSTALL_DIR} $sgml_dir/USA-DOD/dtd
%{INSTALL_DIR} $sgml_dir/Davenport/{elements,entities,dtd}
%{INSTALL_DIR} $sgml_dir/OASIS/{elements,entities,dtd}
%{INSTALL_DATA} element-list.txt README.SuSE $doc_dir
%{INSTALL_DATA} CATALOG.docbk30 $sgml_config_dir/CATALOG.docbk30
%{INSTALL_DATA} CATALOG.docbk31 $sgml_config_dir/CATALOG.%{name}
%{INSTALL_DATA} CATALOG.db3xml  $sgml_config_dir/CATALOG.db3xml
%{INSTALL_DATA} CATALOG.db3sxml  $sgml_config_dir/CATALOG.db3sxml
%{INSTALL_DATA} CATALOG.gnome  $sgml_config_dir/CATALOG.gnome
(cd $sgml_dir && ln -sf ../../../var/lib/sgml/CATALOG.%{name} CATALOG.%{name})
# compatibility links (SL <= 7.1)
(cd $sgml_dir && ln -sf ../../../var/lib/sgml/CATALOG.docbk30 CATALOG.docbk30)
(cd $sgml_dir && ln -sf ../../../var/lib/sgml/CATALOG.%{name} CATALOG.docbk31)
pushd $sgml_config_dir
  ln -sf CATALOG.%{name} CATALOG.docbk31
popd
# the remaining CATALOGs
(cd $sgml_dir && ln -sf ../../../var/lib/sgml/CATALOG.db3xml CATALOG.db3xml)
(cd $sgml_dir && ln -sf ../../../var/lib/sgml/CATALOG.db3sxml CATALOG.db3sxml)
(cd $sgml_dir && ln -sf ../../../var/lib/sgml/CATALOG.gnome CATALOG.gnome)
# docomentation
cp -a html $doc_dir
# xml
%{INSTALL_DIR} $doc_dir/xml
%{INSTALL_DIR} $sgml_dir/db3xml/ent
%{INSTALL_DIR} $sgml_dir/Norman_Walsh/dtd
(cd xml \
   && %{INSTALL_DATA} calstblx.dtd dbgenent.ent  dbpoolx.mod   soextblx.dtd \
           dbhierx.mod docbookx.dtd dbcentx.mod dbnotnx.mod $sgml_dir/db3xml \
   && %{INSTALL_DATA} COPYRIGHT test.xml README $doc_dir/xml)
(cd xml/ent \
   && %{INSTALL_DATA} *.ent $sgml_dir/db3xml/ent)
# png gnome
%{INSTALL_DIR} $sgml_dir/gnome
%{INSTALL_DATA} png-support.dtd png-support-3.1.dtd $sgml_dir/gnome
%{INSTALL_DIR} $sgml_dir/GNOME/dtd
pushd $sgml_dir/GNOME/dtd
for dtd in 'DocBook PNG Variant V1.0' 'DocBook PNG Variant V1.1'; do
    d=${dtd// /_}
done
ln -sf ../../gnome/png-support-3.1.dtd DocBook_PNG_Variant_V1.1
ln -sf ../../gnome/png-support.dtd     DocBook_PNG_Variant_V1.0
popd
# sdb
%{INSTALL_DIR} $doc_dir/sdb
%{INSTALL_DIR} $sgml_dir/sdb/ent
%{INSTALL_DIR} $sgml_dir/Norman_Walsh/dtd
(cd sdb \
   && %{INSTALL_DATA} sdbcent.mod sdbhier.mod sdbpool.mod sdocbook-custom.dtd \
           sdocbook.css sdocbook.dtd sinclist.mod $sgml_dir/sdb \
   && %{INSTALL_DATA} COPYRIGHT README  test.xml testcss.xml testcust.xml \
           $doc_dir/sdb)
(cd sdb/ent \
   && %{INSTALL_DATA} iso-lat1.ent iso-num.ent iso-pub.ent $sgml_dir/sdb/ent)
# dtd 3.0/3.1 and
# documentation
(cd dtd/30 \
   && %{INSTALL_DATA} cals-tbl.dtd dbgenent.mod dbhier.mod \
           dbpool.mod docbook.cat docbook.dcl docbook.dtd \
              $sgml_dir/docbk30 \
   && %{INSTALL_DATA} 30chg.txt 40issues.txt announce.txt $doc_dir/30 )
(cd dtd/31 \
   && %{INSTALL_DATA} cals-tbl.dtd dbcent.mod dbgenent.mod dbhier.mod \
           dbnotn.mod dbpool.mod docbook.cat docbook.dcl docbook.dtd \
              $sgml_dir/%{name} \
   && %{INSTALL_DATA} 31chg.txt 40issues.txt 50issues.txt ChangeLog \
           readme.txt $doc_dir/31 )
# dtd 3.0 (links)
(cd $sgml_dir/Davenport/dtd \
    && ln -s ../../docbk30/docbook.dtd DocBook_V3.0 )
(cd $sgml_dir/Davenport/entities \
    && ln -s ../../docbk30/dbgenent.mod DocBook_Additional_General_Entities_V3.0)
(cd $sgml_dir/Davenport/elements \
    && ln -s ../../docbk30/dbhier.mod DocBook_Document_Hierarchy_V3.0)
(cd $sgml_dir/Davenport/elements \
    && ln -s ../../docbk30/dbpool.mod DocBook_Information_Pool_V3.0)
# dtd 3.1 (links)
(cd $sgml_dir/USA-DOD/dtd \
    && ln -s ../../%{name}/cals-tbl.dtd Table_Model_951010 )
(cd $sgml_dir/OASIS/dtd \
    && ln -s ../../%{name}/docbook.dtd DocBook_V3.1 )
(cd $sgml_dir/OASIS/entities \
    && ln -s ../../%{name}/dbcent.mod DocBook_Character_Entities_V3.1 \
    && ln -s ../../%{name}/dbnotn.mod DocBook_Notations_V3.1 \
    && ln -s ../../%{name}/dbgenent.mod DocBook_Additional_General_Entities_V3.1)
(cd $sgml_dir/OASIS/elements \
    && ln -s ../../%{name}/dbhier.mod DocBook_Document_Hierarchy_V3.1)
(cd $sgml_dir/OASIS/elements \
    && ln -s ../../%{name}/dbpool.mod DocBook_Information_Pool_V3.1)

%clean
rm -fr $RPM_BUILD_ROOT
# %doc element-list.txt README.SuSE
#%doc docbook/dsl

%files
%defattr(-, root, root)
%config /var/lib/sgml/CATALOG.*
%{_datadir}/sgml/CATALOG.*
%{_datadir}/sgml/docbk30
%{_datadir}/sgml/%{name}
%{_datadir}/sgml/db3xml
%{_datadir}/sgml/gnome
%{_datadir}/sgml/sdb
%{_defaultdocdir}/%{name}
# Link already installed with docbook_4
# %{_datadir}/sgml/USA-DOD/dtd/Table_Model_951010
%{_datadir}/sgml/Davenport/dtd/DocBook_V3.0
%{_datadir}/sgml/Davenport/entities/DocBook_Additional_General_Entities_V3.0
%{_datadir}/sgml/Davenport/elements/DocBook_Document_Hierarchy_V3.0
%{_datadir}/sgml/Davenport/elements/DocBook_Information_Pool_V3.0
%{_datadir}/sgml/OASIS
%{_datadir}/sgml/GNOME

%changelog -n docbook_3
* Fri Sep 21 2001 - ke@suse.de
- Do not install link 'USA-DOD/dtd/Table_Model_951010' to avoid file
  conflict with docbook_4; reported by Ruediger Oertel.
* Mon Mar 26 2001 - ke@suse.de
- Improve README.SuSE.
* Tue Mar 13 2001 - ro@suse.de
- fixed links to sgml/docbk31
* Mon Mar 12 2001 - ke@suse.de
- Rename package: docbk30 -> docbook_3.
- New CATALOG name: CATALOG.docbook_3 (for now provide compatibility
  links: CATALOG.docbk3[01]; depreciated!).
- Drop website from this package; website now is an own package
  (docbook-xml-website) [#6669].
- Pull out README.SuSE from the diff file; add more info.
- Update docbook_3.test.
* Mon Mar 05 2001 - ke@suse.de
- Provide entry for "DocBook PNG Variant V1.1" in  CATALOG.gnome.
- Cleanup spec file.
* Wed Jul 26 2000 - ke@suse.de
- Fix #3636: Source the iso_ent catalog from within CATALOG.docbk31.
* Mon Jun 19 2000 - ro@suse.de
- doc relocation
* Wed Feb 16 2000 - ke@suse.de
- Add the GNOME variant.
* Mon Jan 10 2000 - ke@suse.de
- Install "sdb".
- Add (better working) catalogs for the `xml' and the `sdb' DTD.
* Sun Dec 19 1999 - ke@suse.de
- Add Norman Walsh's website as an example of a customization
  layer.
* Fri Nov 12 1999 - ke@suse.de
- Update XML versions (bugfix release).
* Sun Oct 24 1999 - ke@suse.de
- Update XML versions.
- "noarch".
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 09 1999 - bs@suse.de
- added Check
* Mon Aug 09 1999 - ke@suse.de
- Provide /var/lib/sgml/CATALOG.db3xml, a catalog for the XML version of
  the DocBook DTD.
* Fri Jul 02 1999 - ke@suse.de
- Add "DocBk XML" (db3x) and "Simplified DocBk XML" (sdb).
* Sat Feb 20 1999 - ke@suse.de
- Add the DocBook DTD version 3.1.
- Provide an additional CATALOG: /var/lib/sgml/CATALOG.docbk31.
* Mon Oct 26 1998 - ke@suse.de
- Make the stylesheets (db) a separate package (`docbkdsl').
* Tue Sep 29 1998 - ke@suse.de
- Update dsssl scripts: db118.zip.
- Install the new *.ent files.
* Sun Aug 09 1998 - ke@suse.de
- Update dsssl scripts: db110.zip.
* Wed Jul 29 1998 - ke@suse.de
- Update dsssl scripts: db109.zip.
- Add db2html.dsl.mail as documentation.
* Tue Jun 16 1998 - ke@suse.de
- Update dsssl scripts: db108.zip.
- Install CATALOG as /var/lib/sgml/CATALOG.docbk30.
* Sat Feb 28 1998 - ke@suse.de
- Update dsssl scripts: db107.zip.
* Sat Feb 21 1998 - ke@suse.de
- Update dsssl scripts: db106.zip.
- Install Norman's documentation.
* Sun Jan 25 1998 - ke@suse.de
- Source: and Patch: w/o macro definitions.
* Tue Jan 20 1998 - ke@suse.de
- Update dsssl scripts: db101.zip.
- Provide an CATALOG.example.
* Thu Nov 27 1997 - ke@suse.de
- restored spec file.
* Tue Nov 18 1997 - ke@suse.de
- don't use %%post and %%preun scripts to manage links.
* Tue Sep 09 1997 - Karl Eichwalder <ke@suse.de>
  * Update the formatter scripts db091.zip and dbhtm03.zip.
  * Use spec file.
* Wed Aug 06 1997 - Karl Eichwalder <ke@suse.de>
  * Add index.html for docs.
  * Add README.SuSE
* Sat Aug 02 1997 - Karl Eichwalder <ke@suse.de>
  * Initial package.  repacked:
  ftp://ftp.ora.com/pub/davenport/current/docbk30.tar.Z
  http://www.ora.com/davenport/dbdoc/dbhset.tar.gz
  http://www.berkshire.net/~norm/dsssl/db088.zip
  http://www.berkshire.net/~norm/dsssl/dbhtm01.zip
